DefaultDelegateAsyncTransactionalMethodTransformer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.async.transform.internal
[Groovy] Class DefaultDelegateAsyncTransactionalMethodTransformer

    java.lang.Object
      org.grails.async.transform.internal.DefaultDelegateAsyncTransactionalMethodTransformer

All Implemented Interfaces:
  DelegateAsyncTransactionalMethodTransformer

    @groovy.transform.CompileStatic
    class DefaultDelegateAsyncTransactionalMethodTransformer

Modifies the

DelegateAsync:
  transform to take into account transactional services. New instance should be created per class transform, as state is held.

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`org.codehaus.groovy.ast.stmt.BlockStatement` | `getSetTransactionManagerMethodBody(org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `transformTransactionalMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode delegateClassNode, org.codehaus.groovy.ast.MethodNode methodNode, org.codehaus.groovy.ast.expr.ListExpression promiseDecorators)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getSetTransactionManagerMethodBody

    org.codehaus.groovy.ast.stmt.BlockStatement getSetTransactionManagerMethodBody(org.codehaus.groovy.ast.ClassNode classNode)

### transformTransactionalMethod

    @java.lang.Override
    void transformTransactionalMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode delegateClassNode, org.codehaus.groovy.ast.MethodNode methodNode, org.codehaus.groovy.ast.expr.ListExpression promiseDecorators)

Groovy Documentation